Bug 1975664 (CVE-2021-33844) - CVE-2021-33844 SoX: divide by zero crash in wav.c
Summary: CVE-2021-33844 SoX: divide by zero crash in wav.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2021-33844
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1978780 1978781
Blocks: 1966935
TreeView+ depends on / blocked
 
Reported: 2021-06-24 07:27 UTC by Dhananjay Arunesh
Modified: 2021-09-02 11:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-02 22:40:24 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2021-06-24 07:27:17 UTC
A vulnerability was found in SoX where a divide by  zero bug in wav.c:967, functon startread. With crafted wav file, it crashes.

References:
https://sourceforge.net/p/sox/bugs/349/

Comment 2 gkamathe 2021-07-02 17:57:46 UTC
Created sox tracking bugs for this issue:

Affects: epel-8 [bug 1978781]
Affects: fedora-all [bug 1978780]

Comment 3 Product Security DevOps Team 2021-07-02 22:40:24 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-33844


Note You need to log in before you can comment on or make changes to this bug.